what version itunes do u need?

Discussion in 'iTunes' started by emerica2799, Dec 11, 2008.

  1. emerica2799

    emerica2799 New Member

    Joined:
    Dec 8, 2008
    Messages:
    11
    Likes Received:
    0
    what version itunes do u need to jailbreak ur ipod touch?? i have the lastest version which is like itunes 8
  2. fear_2670

    fear_2670 Banned

    Joined:
    Aug 17, 2008
    Messages:
    3,626
    Likes Received:
    0
    It doesn't matter, it all depends of the firmware version.
    The more advanced the firmware, the more advanced the iTunes version will have to be.
  3. Baker5

    Baker5 Well-Known Member

    Joined:
    Jun 26, 2008
    Messages:
    3,230
    Likes Received:
    40
    Device:
    iPhone 5 (White)
    then you are fine you can jailbreak with itunes but you have a 2g and those arent jailbreakable yet
  4. emerica2799

    emerica2799 New Member

    Joined:
    Dec 8, 2008
    Messages:
    11
    Likes Received:
    0
    oh ok just making sure.
  5. fckinfamous

    fckinfamous Well-Known Member

    Joined:
    Sep 17, 2008
    Messages:
    1,954
    Likes Received:
    26
    Device:
    iPhone 5S
    I guarantee you he is not going to listen to what you said, try to jailbreak either way, and then post up a thread saying "i need help with my ipod touch 2g"
  6. emerica2799

    emerica2799 New Member

    Joined:
    Dec 8, 2008
    Messages:
    11
    Likes Received:
    0
    i know i was trying to jailbreak my friends 1g ipod touch 1.1.5 and it wont let me update it to 2.2
    ------------------double post merged------------------
    wrongg i already learned that i cant jailbreak a 2g ipod touch yet lol

Share This Page